import { getDict } from "@/utils/dictionary";
import { toDate } from "@/utils/date";
import { time2str } from "@/utils/index";
export default {
    data() {
        return {
            page: 1,
            total: 10,
            size: 10,
            tableData: [],
            searchInfo: {
				isFinish:0
            }
        }
    },
    watch: {
      "searchInfo.cardId"(val) {
        this.page = 1;
        this.getTableData();
      },
		"searchInfo.phone"(val) {
		  this.page = 1;
		  this.getTableData();
		}
    },
    methods: {
        filterDict(value, type) {
            const rowLabel = this[type + "Options"] && this[type + "Options"].filter(item => item.value == value)
            return rowLabel && rowLabel[0] && rowLabel[0].label
        },
        async getDict(type) {
            const dicts = await getDict(type)
            this[type + "Options"] = dicts
            return dicts
        },
        handleSizeChange(val) {
            this.size = val
            this.getTableData()
        },
        handlerUpdate(index, row) {
            this.tableData[index] = row;
        },
        handleCurrentChange(val) {
            this.page = val
            this.getTableData()
        },
		
		handleSearchParam(  sizeParam ) {
			let {page, size} = this
			if( sizeParam ) size = sizeParam;
			let from = (page-1) * size
			let param = { size, from, ...this.searchInfo }	
			if(this.searchInfo.dateRange&& this.searchInfo.dateRange.length == 2){
				param.fromDate = this.searchInfo.dateRange[0];
				param.toDate = this.searchInfo.dateRange[1];
				delete param["dateRange"];
			}
			return param;
		},
        async getTableData(page = this.page, size = this.size ) {
			let param = this.handleSearchParam();
            const table = await this.listApi(param)
            if (table.code == 200) {
                this.tableData = table.data.list.map(item=>{
					item.edit = false
					return item;
				})
                this.total = table.data.total
            }
        }
    }
}